ቀጥታ ተተካ
ተኳሃኝOpenAI እና Anthropic SDKዎች ጋር ይሰራል። በቀላሉ base URL ይቀይሩ።
ቋንቋዎች ሁሉ እኩል ናቸው። ለመጠቀም የምትፈልጉትን ቋንቋ ይምረጡ።
OpenAI እና Anthropic ጋር ተኳሃኝ AI API በፋንክሽን ጥራት፣ በድር ፍለጋ እና በተዋቀሩ ውጤቶች ያለው።
Shannon የOpenAI እና Anthropic ተኳሃኝ API ጋር ለመጀመር የሚያስፈልግዎ ሁሉ።
https://api.shannon-ai.com/v1/chat/completions Chat Completions APIን በፋንክሽን ጥራት እና ስትሪሚንግ ይጠቀሙ።
https://api.shannon-ai.com/v1/messages Claude Messages ፎርማት ከመሳሪያዎች እና anthropic-version ራስጌ ጋር።
Authorization: Bearer <api-key> ወይም X-API-Key ከ anthropic-version ጋር ለClaude ዘዴ ጥራቶች።
የህዝብ ማብራሪያ - ለመጥራት ቁልፍ ያስፈልጋል ስትሪሚንግ፣ ፋንክሽን ጥራት፣ የተዋቀሩ ውጤቶች፣ ድር ፍለጋ።
ለOpenAI እና Anthropic API ቀጥታ ተካፋይ፤ መሳሪያዎችን፣ የተዋቀሩ ውጤቶችን እና የተገናኘ ድር ፍለጋን በመደገፍ።
OpenAI እና Anthropic SDKዎች ጋር ይሰራል። በቀላሉ base URL ይቀይሩ።
መሳሪያዎችን ይግለጹ፣ Shannon እንዲጠራ ይፍቀዱ። auto, forced, none ሁኔታዎችን ይደግፋል።
በምንጭ ማጠቃለያ የተጨመረ ድር ፍለጋ። በራስ ሰር ይገኛል።
የJSON ሁኔታ እና JSON Schema ማስፈጸሚያ ለታማኝ ውሂብ ማውጣት።
ራስ-ሰር የፋንክሽን አፈፃፀም ዙሮች። በእያንዳንዱ ጥያቄ እስከ 10 ዙሮች።
በእውነተኛ ጊዜ ቶክን ስትሪሚንግ ለServer-sent events።
በሶስት እርምጃዎች ጀምሩ። Shannon የOpenAI እና Anthropic ክላይንቶችን ያከብራል።
OpenAI-ተኳሃኝ መጨረሻ ነጥብ ይጠቀሙ።
https://api.shannon-ai.com/v1/chat/completions Authorization ራስጌ ውስጥ Bearer ማረጋገጫ ይጠቀሙ።
ቋንቋ ይምረጡ እና ቁልፍዎን ይቀይሩ።
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} Shannon APIን በብራውዘርዎ ውስጥ ቀጥታ ይፈትሹ። ጥያቄዎን ያበጁ፣ ያስነሱ እና ምላሹን በቅርብ ጊዜ ይመልከቱ።
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/am/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
ሁሉም API ጥያቄዎች በShannon API ቁልፍዎ ማረጋገጫ ይፈልጋሉ።
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon ለተለያዩ አጠቃቀም አስፈላጊዎች የተመቻቹ ብዙ ሞዴሎችን ያቀርባል።
shannon-1.6-lite Shannon 1.6 Lite ለዕለታዊ ስራዎች ፈጣን እና ቀላል ምላሽ
shannon-1.6-pro Shannon 1.6 Pro ለውስብስብ ችግኝ የላቀ ማስተዋል
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder ለClaude Code CLI በጥራት ኮታ የተመቻቸ
Shannon እርስዎ የሚጠሩትን መሳሪያዎች ይግለጹ እና ተግባር ወይም መረጃ ለመግባት ይጠቀሙ።
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" ሞዴሉ ፋንክሽን ይጠራ ወይስ አይጠራ ይወስናል (ነባሪ) "none" ለዚህ ጥያቄ ፋንክሽን ጥራትን አሰናክል {"type": "function", "function": {"name": "..."}} የተወሰነ ፋንክሽን ጥራት አስገድድ {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Shannon በስኬማዎ የሚዛመድ ትክክለኛ JSON እንዲመልስ ይግዱት።
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} ትክክለኛ JSON ውጤት አስገድድ (የተለየ ስኬማ የለም) {"type": "json_schema", "json_schema": {...}} በትክክል ስኬማዎ ላይ የሚመስል ውጤት አስገድድ በስትሪሚንግ ቶክኖችን በእውነተኛ ጊዜ ከServer-Sent Events ጋር አብሩ።
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon በራስ-ሰር የሚገኝ web_search ተሞላ ያለ ፋንክሽን ይዟል።
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon የAnthropic Messages API ፎርማትንም ይደግፋል።
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); ማንኛውንም OpenAI ወይም Anthropic SDK ይጠቀሙ - base URL ብቻ ይቀይሩ።
ኦፊሴላዊ OpenAI Python SDK - Shannon ጋር ይሰራል
pip install openai ኦፊሴላዊ OpenAI Node.js SDK - Shannon ጋር ይሰራል
npm install openai OpenAI-ተኳሃኝ API ለማጠቃለያ የማህበረሰብ Go ደንበኛ
go get github.com/sashabaranov/go-openai OpenAI-ተኳሃኝ API የማህበረሰብ Ruby ደንበኛ
gem install ruby-openai OpenAI-ተኳሃኝ API የማህበረሰብ PHP ደንበኛ
composer require openai-php/client OpenAI-ተኳሃኝ API የAsync Rust ደንበኛ
cargo add async-openai ኦፊሴላዊ Anthropic Python SDK - Shannon ጋር ይሰራል
pip install anthropic ኦፊሴላዊ Anthropic TypeScript SDK - Shannon ጋር ይሰራል
npm install @anthropic-ai/sdk Shannon መደበኛ የHTTP ሁኔታ ኮዶችን ይጠቀማል እና ዝርዝር ስህተት መልዕክቶችን ይመልሳል።
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Shannon API የቅርብ ጊዜ ዝመናዎችና ማሻሻያዎች።
YOUR_API_KEY የAPI ቁልፍዎን በሚስጥር ያዙ። እንደገና መፍጠር አዲስ ቁልፍ ያመነታል እና አሮጌውን ያሰርዳል።
በመግባት ጊዜ በዚህ ገጽ ላይ የቶክን እና የፍለጋ ጥቅም ይመልከቱ።
ለShannon Coder (shannon-coder-1) በጥራት ኮታ። በየ4 ሰዓት ይዘምናል።
የAPI ቁልፍዎን ያግኙ እና ዛሬ በShannon AI መገንባት ጀምሩ።
ታዋቂ ፍለጋዎች: